Page MenuHomePhabricator

Set $wgCategoryCollation to 'uca-lv' on the Latvian Wikipedia and rebuild category sort keys
Closed, ResolvedPublic

Description

Please set $wgCategoryCollation to 'uca-lv' on the Latvian Wikipedia (lvwiki) and rebuild category sort keys.

Consensus: https://lv.wikipedia.org/wiki/Vikip%C4%93dija:Kopienas_port%C4%81ls#K.C4.81rto.C5.A1ana_kategorij.C4.81s


Version: unspecified
Severity: enhancement

Details

Reference
bz65003

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:24 AM
bzimport set Reference to bz65003.
Papuass created this task.May 7 2014, 3:20 PM

Change 132173 had a related patch set uploaded by Odder:
Set $wgCategoryCollation to 'uca-lv' on lvwiki

https://gerrit.wikimedia.org/r/132173

tomasz added a comment.May 8 2014, 9:55 AM

Requires a shell user to rebuild category sort keys for the patch to work correctly, so I'm tentatively assigning this to Reedy who's been closing a lot of similar bugs in the past.

Also adding Bartosz, our in-house collation wizard, so as to make sure there are no problems with the Latvian collection (had a peek at some links, and looks fine to me.)

Change 132173 merged by jenkins-bot:
Set $wgCategoryCollation to 'uca-lv' on lvwiki

https://gerrit.wikimedia.org/r/132173

Seems to be working correctly, https://lv.wikipedia.org/wiki/Kategorija:Lapas,_ko_%C5%A1obr%C4%ABd_p%C4%81rstr%C4%81d%C4%81

"Ģ" section moved from last position to where it should be. Accented vowels are treated correctly (equaly with those without accent marks).

tomasz added a comment.May 9 2014, 9:00 AM

Thanks for the verification; marking this as RESOLVED FIXED, then.